जब मैं अपनी परियोजना को आवश्यकताएँ.txt फ़ाइल से स्थापित करने का प्रयास करता हूं, तो मैं pip install -r requirements.txt चलाता हूं और यह मेरे पांडा निर्भरता पर विफल हो जाता है। मुझे बिल्कुल यकीन नहीं है कि किसी के पास कोई सलाह क्यों है?

पाइप संस्करण:

pip 20.0.2 from c:\users\name\appdata\local\programs\python\python35\lib\site-packages\pip (python 3.5)

आवश्यकताएँ.txt:

numpy==1.18.2
 pandas==1.0.3
 python-dateutil==2.8.1
 pytz==2019.3
 six==1.14.0

त्रुटि:

 ERROR: Could not find a version that satisfies the requirement pandas==1.0.3 (from -r requirements.txt (line 2)) (from versions: 0.1, 0.2b0, 0.2b1, 0.2, 0.3.0b0, 0.3.0b2, 0.3.0, 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.5.0, 0.6.0, 0.6.1, 0.7.0rc1, 0.7.0, 0.7.1, 0.7.2, 0.7.3, 0.8.0rc1, 0.8.0rc2, 0.8.0, 0.8.1, 0.9.0, 0.9.1, 0.10.0, 0.10.1, 0.11.0, 0.12.0, 0.13.0, 0.13.1, 0.14.0, 0.14.1, 0.15.0, 0.15.1, 0.15.2, 0.16.0, 0.16.1, 0.16.2, 0.17.0, 0.17.1, 0.18.0, 0.18.1, 0.19.0rc1, 0.19.0, 0.19.1, 0.19.2, 0.20.0rc1, 0.20.0, 0.20.1, 0.20.2, 0.20.3, 0.21.0rc1, 0.21.0, 0.21.1, 0.22.0, 0.23.0rc2, 0.23.0, 0.23.1, 0.23.2, 0.23.3, 0.23.4, 0.24.0rc1, 0.24.0, 0.24.1, 0.24.2)
ERROR: No matching distribution found for pandas==1.0.3 (from -r requirements.txt (line 2))
5
dmc94 27 मार्च 2020, 04:21
1
क्या आप pip के नवीनतम संस्करण का उपयोग कर रहे हैं?
 – 
OldBunny2800
27 मार्च 2020, 04:32
हाँ, मैंने पाइप इंस्टाल चलाने से पहले अपग्रेड चलाया था
 – 
dmc94
27 मार्च 2020, 04:35
1
pip --version का आउटपुट साझा करें
 – 
nz_21
27 मार्च 2020, 04:38
1
pip 20.0.2 from c:\users\name\appdata\local\programs\python\python35\lib\site-packages\pip (python 3.5)
 – 
dmc94
27 मार्च 2020, 04:41

2 जवाब

pandas 1.0.0 को Python 3.6+ की आवश्यकता है। पायथन 3.5 का समर्थन करने वाला अंतिम संस्करण 0.25.3 है। या तो संस्करण का उपयोग करें या पायथन 3.6+ (3.6, 3.7 या 3.8) में अपग्रेड करें।

0
phd 27 मार्च 2020, 14:30

मेरे साथ अतीत में ऐसा कुछ हुआ था। मैंने इसे पांडा को अनइंस्टॉल करके फिर से इंस्टॉल करके हल किया। शायद आपने पांडा को बहुत समय पहले स्थापित किया था इसलिए आपका संस्करण पुराना हो गया है।

0
Chadee Fouad 27 मार्च 2020, 07:10
1
जो कोई भी किसी पोस्ट को वोट करता है, उसे कारण बताना चाहिए!
 – 
Chadee Fouad
31 मार्च 2020, 06:24